### Function

# Json gobject_serialize

since: 0.10

#### Declaration [src]

    JsonNode*
    json_gobject_serialize (
      GObject* gobject
    )

#### Description [src]

Creates a JSON tree representing the passed object instance.

Each member of the returned JSON object will map to a property of the object type.

The returned JSON tree will be returned as a `JsonNode` with a type of `JSON_NODE_OBJECT`.

Available since: 0.10

#### Parameters

`gobject`

  Type: `GObject`

  The object to serialize.

  The data is owned by the caller of the function.

#### Return value

Type: `JsonNode`

The newly created JSON tree.

The caller of the function takes ownership of the data, and is responsible for freeing it.